<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for printsuif.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
printsuif - print SUIF version 1.x files as text

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>printsuif</B> [ <I>options</I> ] suif1_files ...

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>printsuif</I> program reads all of the specified SUIF version
1.x files and prints their contents to the standard
output. SUIF version 1.x files are written in a binary
format that saves space and is easy for the SUIF version
1.x library to read. Consequently, <I>printsuif</I> must be used
to convert them to a text format that is readable by
humans. The SUIF version 1.x reference manual describes
the format of the text output produced by <I>printsuif</I>.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>


<DL>

<DT><B>-ftn</B> </DT></DT>
<DD>Convert the SUIF version 1.x code to Fortran format
before printing it out. In Fortran format, parameters
are passed by reference. See the SUIF version
1.x reference manual for more details.
</DD>

<DT><B>-no-symtabs</B></DT></DT>
<DD>
Do not print out any of the SUIF version 1.x symbol
tables.
</DD>

<DT><B>-no-types</B></DT></DT>
<DD>
Omit the result types when printing SUIF version
1.x instructions.
</DD>

<DT><B>-no-exprs</B></DT></DT>
<DD>
Do not build expression trees. The default is to
build the expression trees when each procedure is
read in.
</DD>

<DT><B>-print-flat</B></DT></DT>
<DD>
Print annotations as flat lists of <B>immed</B> values,
even if they have been registered with user-defined
printing functions. This option is required if the
output is to be parsed and converted back to the
SUIF version 1.x binary format.
</DD>

<DT><B>-raw</B> </DT></DT>
<DD>Print the low-level instruction list without building
any of the symbol tables or other high-level
structures. This option is only for debugging the
SUIF version 1.x library.
</DD>

<DT><B>-mach</B> </DT></DT>
<DD>Print the target machine parameters. This information
is set in the front end and caried along in
the SUIF version 1.x file to s2c or another back
end. It is available in the SUIF version 1.x
library's ``target'' structure.
</DD>
</DL>
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
</UL>
</BODY></HTML>
